PGP_ENCRYPT(3)

FUNCTION
pgp_encrypt - Encrypt a block of data using PGP.

SYNOPSIS
#include <karma_pgp.h>

char * pgp_encrypt

(CONST char *plaintext, unsigned int plaintext_length, CONST char **recipients, unsigned int num_recipients, unsigned int *ciphertext_length, flag ascii_armour)

DESCRIPTION
Encrypt a block of data using PGP.

plaintext
    The input plaintext data.

plaintext_length
    The length of the input plaintext data.

recipients
    The list of recipients to encrypt for.

num_recipients
    The number of recipients in the recipient list.

ciphertext_length
    The length of the encrypted data is written here.

ascii_armour
    If TRUE, the ciphertext is ASCII armoured, suitable for transmitting through Email.

RETURN VALUE
A pointer to the ciphertext data on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/